# The SolrException class

(PECL solr >= 0.9.2)

## Introduction

This is the base class for all exception thrown by the Solr extension classes.

## Class synopsis

SolrException extends Exception {
/* Properties */
protected integer $sourceline ;
protected string $sourcefile ;
protected string $zif_name ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methods */
public getInternalInfo ( void ) : array
/* Inherited methods */
final public Exception::getMessage ( void ) : string
final public Exception::getPrevious ( void ) : Throwable
final public Exception::getCode ( void ) : mixed
final public Exception::getFile ( void ) : string
final public Exception::getLine ( void ) : int
final public Exception::getTrace ( void ) : array
final public Exception::getTraceAsString ( void ) : string
public Exception::__toString ( void ) : string
final private Exception::__clone ( void ) : void
}

## Properties

sourceline

  The line in c-space source file where exception was generated

sourcefile

  The c-space source file where exception was generated

zif_name

  The c-space function where exception was generated

## Table of Contents

- SolrException::getInternalInfo — Returns internal information where the Exception was thrown